#rh-4.1-4
%define version 4.1
%define release 4mdk

Summary:	The GNU versions of common file management utilities
Name:		fileutils
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
BuildRequires:	libtermcap-devel, texinfo

Source0:	/%{name}-%{version}.tar.bz2
Source1:	DIR_COLORS
Source2:	color_ls.sh
Source3:	color_ls.csh

Patch1: fileutils-4.0-spacedir.patch.bz2
Patch2: fileutils-4.0s-sparc.patch.bz2
Patch3: fileutils-4.0.35-trunc.patch.bz2
Patch4: fileutils-4.0-samefile.patch.bz2
Patch5: fileutils-4.0-C.patch.bz2
Patch7: fileutils-4.0p-strip.patch.bz2
Patch8: fileutils-4.0x-install-specialbits.patch.bz2
Patch10: fileutils-4.0x-overwrite.patch.bz2
Patch11: fileutils-ls-dumbterm.patch.bz2
Patch12: fileutils-4.0u-glibc22.patch.bz2
Patch13: fileutils-nolibrt.patch.bz2
Patch14: fileutils-4.1-restorecolor.patch.bz2
Patch15: fileutils-4.1-force-option--override--interactive-option.patch.bz2
Buildroot:	%{_tmppath}/fileutils-root
Prereq:		/sbin/install-info

%description
The fileutils package includes a number of GNU versions of common and
popular file management utilities.  Fileutils includes the following
tools: chgrp (changes a file's group ownership), chown (changes a
file's ownership), chmod (changes a file's permissions), cp (copies
files), dd (copies and converts files), df (shows a filesystem's disk
usage), dir (gives a brief directory listing), dircolors (the setup
program for the color version of the ls command), du (shows disk
usage), install (copies files and sets permissions), ln (creates file
links), ls (lists directory contents), mkdir (creates directories),
mkfifo (creates FIFOs or named pipes), mknod (creates special files),
mv (renames files), rm (removes/deletes files), rmdir (removes empty
directories), sync (synchronizes memory and disk), touch (changes file
timestamps), and vdir (provides long directory listings).

%prep

%setup -q
%patch1 -p1 -b .space
%patch2 -p1 -b .sparc
%patch3 -p1 -b .trunc
%patch5 -p1 -b .Coption
%patch7 -p1 -b .strip
%patch8 -p1 -b .specialbits
%patch10 -p1 -b .overwrite
%patch11 -p1 -b .dumbterm
%patch12 -p1 -b .glibc22
%patch13 -p1 -b .nolibrt
%patch14 -p1 -b .restore
%patch15 -p1

%build
unset LINGUAS || :
%ifos linux
%define _exec_prefix /
%endif
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

pushd $RPM_BUILD_ROOT && {

  mkdir -p .%{_prefix}/bin
  for i in dir dircolors du install mkfifo shred vdir
  do
    mv -f ./bin/$i .%{_prefix}/bin/$i
  done
  strip -R .comment ./bin/* || :

  mkdir -p ./etc/profile.d
  install -c -m 644 %SOURCE1 ./etc
  chmod 644 ./etc/$(basename %SOURCE1)
  install -c -m 755 %SOURCE2 ./etc/profile.d
  install -c -m 755 %SOURCE3 ./etc/profile.d
  chmod 755 ./etc/profile.d/*
} && popd

%find_lang %name
# zh is wrong
mv $RPM_BUILD_ROOT%{_datadir}/locale/zh  \
   $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW.Big5
   
[[ -f ChangeLog.bz2 ]] || bzip2 -9f ChangeLog

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog.bz2 NEWS README THANKS TODO
%config(noreplace) %{_sysconfdir}/D*
%config(noreplace) %{_sysconfdir}/profile.d/*
%ifos linux
%{_exec_prefix}/bin/*
%endif
%{_prefix}/bin/*
%{_mandir}/man*/*

%{_infodir}/fileutils*

%changelog
* Sat Sep 15 2001 Pixel <pixel@mandrakesoft.com> 4.1-4mdk
- force-option--override--interactive-option

* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1-3mdk
- If ls is ^C'ed or ^Z'ed, reset the terminal to sane colors (rh)

* Fri Aug 31 2001 Pixel <pixel@mandrakesoft.com> 4.1-2mdk
- remove ChangeLog-1997

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.1-1mdk
- Update description.
- Merge rh patch.
- 4.1 (fix: #3840).

* Fri Mar 30 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0-18mdk
- use "ls --show-control-chars" for multibyte locales to circumvent a bug
  of ls not correctly handling multibyte.

* Mon Jan 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.0-17mdk
- fix the Chinese locale.

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 4.0-16mdk
- BuildRequires: texinfo

* Fri Nov 17 2000 Pixel <pixel@mandrakesoft.com> 4.0-15mdk
- bzip'ing the ChangeLog, remove COPYING

* Fri Nov 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-14mdk
- Fix glibc22 compilation.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-13mdk
- automatically added BuildRequires

* Thu Jul 20 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0-12mdk
- Human readable description

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-11mdk
- Correct %post.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-10mdk
- BM.
- more macros.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-9mdk
- Fix color_ls.sh.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-8mdk
- Merge with rh patchs.
- Clean up specs.
- Upgrade groups.

* Sun Feb 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-7mdk
- Add --sh to dircolors.sh (Ariel Faigon <ariel@yendor.com>).

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-6mdk
- Use %find-lang for locales files.
- Merge with redhat patches.

* Fri Jan 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Catalan catalog file (po/ca.po)

* Wed Dec 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix output of mkdir --verbose -p (bero).
- Add -C for compatibilty with BSD (bero).

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 4.0.
- Merge with redhat changes.

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Don't put colors on a Emacs term.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@aachen.linux.de>
- 4.0i
- colorize xterm-color and color-xterm

* Tue Nov 24 1998 Bernhard Rosenkraenzer <bero@aachen.linux.de>
- Modify DIR_COLORS to recognize bzip, bzip2, tzip and rpm archives and
  .jpeg, .tif, .tiff, .png graphics.
- Colorize ansi and rxvt terminals
- bzip2 man/info pages
